Subject: bug#24977: 25.1; search and query-replace in Dired

From: Dmitry Gutov <[email-masked]>
Date: Mon, 21 Nov 2016 20:42:14 +0200

On 21.11.2016 20:37, Drew Adams wrote:

> This is a major reason for this bug report (and bug #23428).
> The replacement is strictly less powerful.  It is essentially
> just a `grep' or `find'.  (And it depends on an outside program.)

It might be less powerful. On the flip side, the replacement is usually 
faster. Especially in the "many files, few matches" situations.

>> Those should be doable, as long as the regexp contains at least
>> _something_ else.
>
> What does that mean?  Specify what you mean by "_something_ else".
> Clearly you do NOT mean to support the regexps that Emacs supports.

For instance, if the regexp contains a simple literal and an Emacs-only 
construct, we can remove the latter before passing the regexp to 
find+grep, and then post-process the results inside Emacs using the full 
syntax.